# class KColorPatch | A color shower. More...
Definition | `#include <kcolordialog.h>`
Inherits | QFrame (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KColorPatch ( QWidget *parent )
- virtual ~KColorPatch ()
- void setColor ( const QColor &col )

#### Signals

- void colorChanged ( const QColor&)

## Detailed Description

The KColorPatch widget is a (usually small) widget showing a selected color e. g. in the KColorDialog. It automatically handles drag and drop from and on the widget.

KColorPatch ( QWidget *parent ) | ### KColorPatch

~KColorPatch () | ### ~KColorPatch

[virtual]

void setColor ( const QColor &col ) | ### setColor

void colorChanged ( const QColor&) | ### colorChanged

[signal]

void drawContents ( QPainter *painter ) | ### drawContents

[protected virtual]

Reimplemented from QFrame for internal purposes..

void mouseMoveEvent ( QMouseEvent * ) | ### mouseMoveEvent

[protected virtual]

void dragEnterEvent ( QDragEnterEvent *) | ### dragEnterEvent

[protected virtual]

void dropEvent ( QDropEvent *) | ### dropEvent

[protected virtual]

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:37:45 2001, using kdoc 2.0a53.